CREATE SPATIAL TYPE

3159
1
11-25-2015 10:40 AM
Maria_ElenaPezoa
Esri Contributor

i HAVE THIS PROBLEM:

You must copy the latest ST_GEOMETRY and dependent libraries to the PostgreSQL software location. Refer to the ArcGIS help topics for more details.

Connected RDBMS instance is not setup for Esri spatial type configuration.

Failed to execute (CreateSpatialType).

I am using:

ARCGIS 10.3.1

POSTGRESQL: 9.3.1

POSTGIS 2.2.

I did copy ST_GEOMETRY.DLL (SERVER/DATASUPPORT 9.3) but the error don´t go.

I did de same for POSTGRES 9.2 and 9.1. Really I did all things and I did read every post.

Please, help me.

Thanks

Maria

0 Kudos
1 Reply
George_Thompson
Esri Frequent Contributor

Hi Maria,

I am assuming that your PostgreSQL instance in on a Windows machine? If so, is it the same machine as DT 10.3.1?

Where did you copy the 9.3 st_geometry.dll file (C:\Program Files (x86)\ArcGIS\Desktop10.3\DatabaseSupport\PostgreSQL\9.3) to on the PostgreSQL install? Did you copy it to the "PostgreSQL home\lib" directory?

Set up a geodatabase in PostgreSQL on Windows—Help | ArcGIS for Desktop

Hope this helps......

-George

GeodatabaseManaging Data

--- George T.